IncomingDataQueue::SyncSourcesIterator Class Reference

iterator through the list of synchronizations sources in this session More...

`#include <iqueue.h>`

## Public Types

typedef std::forward_iterator_tag | iterator_category
typedef SyncSource | value_type
typedef std::ptrdiff_t | difference_type
typedef const SyncSource * | pointer
typedef const SyncSource & | reference

## Public Member Functions

| SyncSourcesIterator (SyncSourceLink *l=NULL)
| SyncSourcesIterator (const SyncSourcesIterator &si)
reference | operator* () const
pointer | operator-> () const
SyncSourcesIterator & | operator++ ()
SyncSourcesIterator | operator++ (int)

## Friends

bool | operator== (const SyncSourcesIterator &l, const SyncSourcesIterator &r)
bool | operator!= (const SyncSourcesIterator &l, const SyncSourcesIterator &r)

## Detailed Description

iterator through the list of synchronizations sources in this session

## Member Typedef Documentation

## difference_type

typedef std::ptrdiff_t IncomingDataQueue::SyncSourcesIterator::difference_type

## iterator_category

typedef std::forward_iterator_tag IncomingDataQueue::SyncSourcesIterator::iterator_category

## pointer

typedef const SyncSource* IncomingDataQueue::SyncSourcesIterator::pointer

## reference

typedef const SyncSource& IncomingDataQueue::SyncSourcesIterator::reference

## value_type

typedef SyncSource IncomingDataQueue::SyncSourcesIterator::value_type

## Constructor & Destructor Documentation

## SyncSourcesIterator() [1/2]

IncomingDataQueue::SyncSourcesIterator::SyncSourcesIterator | ( | SyncSourceLink * | l = NULL | ) |

inline

## SyncSourcesIterator() [2/2]

IncomingDataQueue::SyncSourcesIterator::SyncSourcesIterator | ( | const SyncSourcesIterator & | si | ) |

inline

## Member Function Documentation

## operator*()

reference IncomingDataQueue::SyncSourcesIterator::operator* | ( |  | ) | const

inline

## operator++() [1/2]

SyncSourcesIterator & IncomingDataQueue::SyncSourcesIterator::operator++ | ( |  | ) |

inline

## operator++() [2/2]

SyncSourcesIterator IncomingDataQueue::SyncSourcesIterator::operator++ | ( | int |  | ) |

inline

## operator->()

pointer IncomingDataQueue::SyncSourcesIterator::operator-> | ( |  | ) | const

inline

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | const SyncSourcesIterator & | l,
|  | const SyncSourcesIterator & | r )

friend

## operator==

bool operator== | ( | const SyncSourcesIterator & | l,
|  | const SyncSourcesIterator & | r )

friend

The documentation for this class was generated from the following file:

- iqueue.h